"""
web2ldap plugin classes for PGP key server

$Id: lotusdomino.py,v 1.4 2008/09/30 16:36:09 michael Exp $
"""

import re
from w2lapp.core import utf2display
from w2lapp.schema.syntaxes import Binary,MultilineText,syntax_registry


class DominoCertificate(MultilineText):
  oid = 'DominoCertificate-oid'
  desc = 'Domino certificate'
  reObj=re.compile('^[A-F0-9\0 ]+$',re.S+re.M)
  lineSep = '\x00'
  mimeType = 'text/plain'
  cols = 36

  def displayValue(self,valueindex=0,commandbutton=0):
    lines = [
      utf2display(self._form.accept_charset,l)
      for l in self._split_lines(self.attrValue)
    ]
    return '<code>%s</code>' % '<br>'.join(lines)


syntax_registry.registerAttrType(
  DominoCertificate.oid,[
    '2.16.840.1.113678.2.2.2.2.22', # dominoCertificate
    '2.16.840.1.113678.2.2.2.2.45', # Certificate-NoEnc
    'inetpublickey',
  ]
)


# Register all syntax classes in this module
for symbol_name in dir():
  syntax_registry.registerSyntaxClass(eval(symbol_name))
